#!/usr/bin/python
# -*- coding: utf-8 -*-

import pymedia.audio.acodec as acodec
import pymedia.audio.sound as sound
import pymedia.muxer as muxer
import time

class playit:
    def __init__(self, file2play):
	self.PLAY_FLG = 1
	self.file2play = file2play
	self.rateCf = 1

    def playit(self):
	dm = muxer.Demuxer(self.file2play.split('.')[-1].lower())
	f = open(self.file2play, 'rb')
	s = f.read(32000)
	dm.parse(s)
	dec = acodec.Decoder({'id':dm.streams[0]['id']})
	r = dec.decode(s)

	print 'Play "%s":' % self.file2play
	print '   Bitrate:       %d' %r.bitrate
	print '   Sample Rate:   %d' % r.sample_rate
	print '        RateCf:   %.2f' % self.rateCf
	print '   Channels:      %d' % r.channels

	snd = sound.Output(int(r.sample_rate * self.rateCf), 
			   r.channels, 
			   sound.AFMT_S16_LE)

	while len(s) > 0:
		if r: snd.play(r.data)
		s = f.read(512)
		r = dec.decode(s)

	while snd.isPlaying(): time.sleep(1)

	self.PLAY_FLG = 0
